/*--------------------------------------------------------------------------------------+
|
|     $Source: sdk/example/rebarSDK_KBR.h $
|
|  $Copyright: (c) 2018 Bentley Systems, Incorporated. All rights reserved. $
|
+--------------------------------------------------------------------------------------*/

#pragma once

#include "RebarCatalog.h"
#include "RebarElements.h"
#include "RebarDetailElement.h"

class KBR_RebarShape
{
    BE_DATA_VALUE(RebarShapeCP, Shape)
public:
    KBR_RebarShape(RebarShapeCP shape = nullptr)
        : m_Shape(shape)
    {}

    virtual int Compare(const KBR_RebarShape &other, int mode = 0, int flag = 0) const;
};

template<int mode>
class KBR_RebarShapes : public BeFastArray<KBR_RebarShape, mode>
{
public:
    KBR_RebarShapes()
    {}
};
